NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.ShipDesign.InverseBendingLinesBuilder Class Reference

Used to create or edit a NXOpen.Features.ShipDesign.InverseBendingLines feature. More...

Inheritance diagram for NXOpen.Features.ShipDesign.InverseBendingLinesBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  MeasureType { LeftToRight, RightToLeft }
 The direction to measure from. More...
 
enum  MethodType { Automatic, NumberOfCurves, FillingCoefficient, EvenFit }
 The method used to generate the bending curves. More...
 
enum  NeutralMethodType { BaseLine, CenterLine, NeutralAxis }
 The method used to calculate the neutral line. More...
 
enum  ReferencePlaneType {
  XCYCPlane, YCZCPlane, ZCXCPlane, NegativeXCYCPlane,
  NegativeYCZCPlane, NegativeZCXCPlane, DefineCSYS
}
 The reference plane to draw the diagram on. More...
 

Public Member Functions

unsafe NXOpen.Body[] GetFailedProfiles (out int[] failedReasons)
 The profiles that failed and error code for each failed profile. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool DrawVentHoles [get, set]
 Returns or sets the switch that determines if vent holes are drawn in the diagram. More...
 
unsafe NXOpen.Expression Extension [get]
 Returns the extension added on each end of the profile. More...
 
unsafe double FillingCoefficient [get, set]
 Returns or sets the filling coefficient that represents the amplitude of the bending line relative to the profile height. More...
 
unsafe NXOpen.Expression GridSpacing [get]
 Returns the grid spacing in the diagram. More...
 
unsafe NXOpen.Expression LowerMargin [get]
 Returns the lower margin on the profile. More...
 
unsafe int MaxNumberOfCurves [get, set]
 Returns or sets the maximum number of curves to generate on the profile. More...
 
unsafe
NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.MeasureType 
Measure [get, set]
 Returns or sets the measurement direction used in the table, left to right, or right to left. More...
 
unsafe
NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.MethodType 
Method [get, set]
 Returns or sets the method used to calculate the number and spacing of the curves on the profile. More...
 
unsafe double NeutralAxisPercent [get, set]
 Returns or sets the height of a line through the profile that maintains a constant length when the profile is bent. More...
 
unsafe
NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.NeutralMethodType 
NeutralMethod [get, set]
 Returns or sets the neutral method determines the curve that is used for measurements and calculations when un-bending the profile. More...
 
unsafe double NonlinearityCoefficient [get, set]
 Returns or sets the nonlinearity coefficient used to determine the bending curve spacing. More...
 
unsafe int NumberOfCurves [get, set]
 Returns or sets the number of curves to generate on the profile. More...
 
unsafe int NumberOfRows [get, set]
 Returns or sets the number of rows in the table. More...
 
unsafe double OffsetBetweenDiagrams [get, set]
 Returns or sets the distance between the bottom of one table and the top of the next diagram. More...
 
unsafe NXOpen.Expression Overlap [get]
 Returns the overlap distance of the bending curves. More...
 
unsafe NXOpen.SelectBodyList ProfileBodies [get]
 Returns the profile bodies to create Inverse Bending Lines on. More...
 
unsafe
NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.ReferencePlaneType 
ReferencePlane [get, set]
 Returns or sets the reference plane type determines how you will define the plane of the diagram and table More...
 
unsafe NXOpen.Point ReferencePlanePoint [get, set]
 Returns or sets the reference plane origin when one of the standard planes is chosen. More...
 
unsafe NXOpen.Expression SideMargin [get]
 Returns the side margin on each end of the profile. More...
 
unsafe NXOpen.Expression UpperMargin [get]
 Returns the upper margin on the profile. More...
 
unsafe NXOpen.CoordinateSystem UserCsys [get, set]
 Returns or sets the user defined CSYS used to locate and orient the tables and diagrams. More...
 
unsafe NXOpen.Expression VarMarginIncrement [get]
 Returns the Increment used to vary horizontal margins for profiles. More...
 
unsafe NXOpen.Expression VarMarginMax [get]
 Returns the maximum horizontal margin used for profiles. More...
 
unsafe NXOpen.Expression VarMarginMin [get]
 Returns the minimum horizontal margin used for profiles. More...
 
unsafe int VarOverlapMax [get, set]
 Returns or sets the variable aligned overlap maximum number of grids. More...
 
unsafe int VarOverlapMin [get, set]
 Returns or sets the variable aligned overlap minimum number of grids. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Used to create or edit a NXOpen.Features.ShipDesign.InverseBendingLines feature.

This builder can create or edit multiple features, depending on the number of profile bodies input.

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateInverseBendingLinesBuilder

Default values.

Property Value

DrawVentHoles

1

Extension.Value

0 (millimeters part), 0 (inches part)

FillingCoefficient

0.75

GridSpacing.Value

200 (millimeters part), 0 (inches part)

LowerMargin.Value

2.5 (millimeters part), 0 (inches part)

MaxNumberOfCurves

5

Measure

LeftToRight

Method

Automatic

NeutralAxisPercent

60

NeutralMethod

BaseLine

NonlinearityCoefficient

0.3

NumberOfCurves

2

NumberOfRows

10

OffsetBetweenDiagrams

500

Overlap.Value

200 (millimeters part), 0 (inches part)

ReferencePlane

XCYCPlane

SideMargin.Value

0 (millimeters part), 0 (inches part)

UpperMargin.Value

5 (millimeters part), 4 (inches part)

VarMarginIncrement.Value

20 (millimeters part), 0.75 (inches part)

VarMarginMax.Value

75 (millimeters part), 3 (inches part)

VarMarginMin.Value

15 (millimeters part), 0.75 (inches part)

VarOverlapMax

2

VarOverlapMin

1

Created in NX8.0.0

Member Enumeration Documentation

The direction to measure from.

Enumerator
LeftToRight 

Left to right.

RightToLeft 

Right to left.

The method used to generate the bending curves.

Enumerator
Automatic 

Automatic.

NumberOfCurves 

Number of curves.

FillingCoefficient 

Filling Coefficient (unsupported).

EvenFit 

Even Fit.

The method used to calculate the neutral line.

Enumerator
BaseLine 

Base line.

CenterLine 

Center line.

NeutralAxis 

Neutral axis.

The reference plane to draw the diagram on.

Enumerator
XCYCPlane 

XC-YC plane.

YCZCPlane 

YC-ZC plane.

ZCXCPlane 

ZC-XC plane.

NegativeXCYCPlane 

-XC-YC plane.

NegativeYCZCPlane 

-YC-ZC plane.

NegativeZCXCPlane 

-ZC-XC plane.

DefineCSYS 

User defined plane.

Member Function Documentation

unsafe NXOpen.Body [] NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.GetFailedProfiles ( out int[]  failedReasons)
inline

The profiles that failed and error code for each failed profile.

Created in NX8.0.0

License requirements: None.

Returns
The profiles that failed.
Parameters
failedReasonsThe error code for each failure.

Property Documentation

unsafe bool NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.DrawVentHoles
getset

Returns or sets the switch that determines if vent holes are drawn in the diagram.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.Extension
get

Returns the extension added on each end of the profile.

Created in NX8.0.0

License requirements: None.

unsafe double NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.FillingCoefficient
getset

Returns or sets the filling coefficient that represents the amplitude of the bending line relative to the profile height.

Only when method is NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.MethodType.FillingCoefficient .

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.GridSpacing
get

Returns the grid spacing in the diagram.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.LowerMargin
get

Returns the lower margin on the profile.

Created in NX8.0.0

License requirements: None.

unsafe int NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.MaxNumberOfCurves
getset

Returns or sets the maximum number of curves to generate on the profile.

Only when method is NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.MethodType.NumberOfCurves or NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.MethodType.EvenFit .

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.MeasureType NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.Measure
getset

Returns or sets the measurement direction used in the table, left to right, or right to left.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.MethodType NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.Method
getset

Returns or sets the method used to calculate the number and spacing of the curves on the profile.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe double NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.NeutralAxisPercent
getset

Returns or sets the height of a line through the profile that maintains a constant length when the profile is bent.

Measured as a percentage of the profile height relative to the base line.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.NeutralMethodType NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.NeutralMethod
getset

Returns or sets the neutral method determines the curve that is used for measurements and calculations when un-bending the profile.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe double NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.NonlinearityCoefficient
getset

Returns or sets the nonlinearity coefficient used to determine the bending curve spacing.

Only when method is NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.MethodType.NumberOfCurves .

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe int NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.NumberOfCurves
getset

Returns or sets the number of curves to generate on the profile.

Only when method is NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.MethodType.NumberOfCurves .

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe int NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.NumberOfRows
getset

Returns or sets the number of rows in the table.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe double NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.OffsetBetweenDiagrams
getset

Returns or sets the distance between the bottom of one table and the top of the next diagram.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.Overlap
get

Returns the overlap distance of the bending curves.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectBodyList NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.ProfileBodies
get

Returns the profile bodies to create Inverse Bending Lines on.

The list can be populated in any one of the following ways:

  • If the list of profile bodies is empty, the function will search the current workset for any bent profiles. For each profile that does not have an Inverse Bending Lines feature, a new one is created. A profile that already has an Inverse Bending Lines feature associated to it, is edited with the new parameters.
  • If the list contains one or more profiles and no feature is given, an Inverse Bending Lines features will be created or edited for each profile in the list.
  • If a feature is supplied to be edited, the list must contain a single bent profile that resides in the same design element as the feature.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.ReferencePlaneType NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.ReferencePlane
getset

Returns or sets the reference plane type determines how you will define the plane of the diagram and table

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Point NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.ReferencePlanePoint
getset
unsafe NXOpen.Expression NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.SideMargin
get

Returns the side margin on each end of the profile.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.UpperMargin
get

Returns the upper margin on the profile.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.CoordinateSystem NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.UserCsys
getset

Returns or sets the user defined CSYS used to locate and orient the tables and diagrams.

Only when reference plane type is NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.ReferencePlaneType.DefineCSYS .

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.VarMarginIncrement
get

Returns the Increment used to vary horizontal margins for profiles.

Created in NX8.5.0

License requirements: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.VarMarginMax
get

Returns the maximum horizontal margin used for profiles.

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.VarMarginMin
get

Returns the minimum horizontal margin used for profiles.

Created in NX8.5.0

License requirements: None.

unsafe int NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.VarOverlapMax
getset

Returns or sets the variable aligned overlap maximum number of grids.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")

unsafe int NXOpen.Features.ShipDesign.InverseBendingLinesBuilder.VarOverlapMin
getset

Returns or sets the variable aligned overlap minimum number of grids.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.